package javax.tools;

import java.io.Writer;
import java.io.Reader;
import java.io.OutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URI;

public interface FileObject
{
    public abstract URI toUri();
    
    public abstract String getName();
    
    public abstract InputStream openInputStream() throws IOException;
    
    public abstract OutputStream openOutputStream() throws IOException;
    
    public abstract Reader openReader(boolean p0) throws IOException;
    
    public abstract CharSequence getCharContent(boolean p0) throws IOException;
    
    public abstract Writer openWriter() throws IOException;
    
    public abstract long getLastModified();
    
    public abstract boolean delete();
}
